Bug 1031960 - [REST-API] XSD schema validation error: Element 'payload': Missing child element(s).
[REST-API] XSD schema validation error: Element 'payload': Missing child elem...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.3.0
Assigned To: Omer Frenkel
Ilanit Stein
virt
: TestBlocker
Depends On:
Blocks: 3.3rc1
  Show dependency treegraph
 
Reported: 2013-11-19 04:01 EST by Ilanit Stein
Modified: 2014-01-21 17:23 EST (History)
10 users (show)

See Also:
Fixed In Version: is28
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:16:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 21962 None None None Never
oVirt gerrit 22511 None None None Never

  None (edit)
Description Ilanit Stein 2013-11-19 04:01:55 EST
Description of problem:

I am getting this error in xsd schema validation, checked as part of VM payload test:
 
ERROR - Exception is: Element 'payload': Missing child element(s). Expected is ( volume_id )., line 57
Comment 1 Michal Skrivanek 2013-11-19 10:25:10 EST
can you please add link to that testcase, where we can see the xml?
Comment 3 Ilanit Stein 2013-12-22 04:52:39 EST
Verified on is28: 

auto test: http://jenkins.qa.lab.tlv.redhat.com:8080/view/Compute/view/3.3-git/view/Virt/job/3.3-git-compute-virt-payloads-rest-nfs/23/

From console log of this test:

08:43:30 2013-12-20 08:43:31,763 - MainThread - plmanagement.matrix-test-composer - INFO - Test Name: Check xsd schema validations
. . .
08:43:36 2013-12-20 08:43:36,920 - MainThread - plmanagement.matrix-test-composer - INFO - Status: Pass
Comment 4 Itamar Heim 2014-01-21 17:16:15 EST
Closing - RHEV 3.3 Released
Comment 5 Itamar Heim 2014-01-21 17:23:08 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.